"""increase stage field length

Revision ID: 6adc0a7dbc51
Revises: 0b7c21741795
Create Date: 2025-06-19 18:45:28.923828

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '6adc0a7dbc51'
down_revision = '0b7c21741795'
branch_labels = None
depends_on = None


def upgrade():
    # Increase stage field length from VARCHAR(10) to VARCHAR(50)
    op.alter_column('mold_quotations', 'stage',
                    existing_type=sa.VARCHAR(length=10),
                    type_=sa.VARCHAR(length=50),
                    existing_nullable=False)


def downgrade():
    # Revert stage field length back to VARCHAR(10)
    op.alter_column('mold_quotations', 'stage',
                    existing_type=sa.VARCHAR(length=50),
                    type_=sa.VARCHAR(length=10),
                    existing_nullable=False)
